vnfd:
  description: A basic VNF descriptor w/ one VDU and several volumes
  df:
  - id: default-df
    instantiation-level:
    - id: default-instantiation-level
      vdu-level:
      - number-of-instances: 1
        vdu-id: several_volumes-VM
    vdu-profile:
    - id: several_volumes-VM
      min-number-of-instances: 1
  ext-cpd:
  - id: vnf-mgmt-ext
    int-cpd:
      cpd: vdu-eth0-int
      vdu-id: several_volumes-VM
  id: several_volumes-vnf
  mgmt-cp: vnf-mgmt-ext
  product-name: several_volumes-vnf
  sw-image-desc:
  - id: ubuntu20.04
    name: ubuntu20.04
    image: ubuntu20.04
  - id: ubuntu20.04-aws
    name: ubuntu20.04-aws
    image: ubuntu/images/hvm-ssd/ubuntu-focal-20.04-amd64-server-20210503
    vim-type: aws
  - id: ubuntu20.04-azure
    name: ubuntu20.04-azure
    image: Canonical:0001-com-ubuntu-server-focal:20_04-lts:latest
    vim-type: azure
  vdu:
  - id: several_volumes-VM
    name: several_volumes-VM
    sw-image-desc: ubuntu20.04
    alternative-sw-image-desc:
    - ubuntu20.04-aws
    - ubuntu20.04-azure
    virtual-compute-desc: several_volumes-VM-compute
    virtual-storage-desc:
    - root-volume
    - persistent-volume
    - ephemeral-volume
    int-cpd:
    - id: vdu-eth0-int
      virtual-network-interface-requirement:
      - name: vdu-eth0
        virtual-interface:
          type: PARAVIRT
  version: '1.0'
  virtual-compute-desc:
  - id: several_volumes-VM-compute
    virtual-cpu:
      num-virtual-cpu: "1"
    virtual-memory:
      size: "1.0"
  virtual-storage-desc:
  - id: root-volume
    #type-of-storage: root-storage
    size-of-storage: "10"
  - id: persistent-volume
    type-of-storage: persistent-storage
    size-of-storage: "1"
  - id: ephemeral-volume
    type-of-storage: ephemeral-storage
    size-of-storage: "2"

